public static class ExtensionsForFloat {

    public static string ToTimeStringMMSS(this float timeSeconds) {
        int minutes = (int)(timeSeconds / 60);
        int seconds = (int)(timeSeconds - minutes * 60);
        return string.Format("{0:00}:{1:00}", minutes, seconds);
    }
}
